#!/bin/bash
# Sample script for energy saving (wake-up)

NODES=`cat`

for NODE in $NODES
do
	for prop in `/usr/bin/oarnodes --sql "network_address='$NODE'"|egrep "^properties"`; do 
		res=`echo $prop|egrep "^mac_address"`
		if [ "$res" != "" ]; then 
			MAC_ADDR=`/bin/echo $res|/bin/sed -e "s/mac_address=//"|sed -e "s/,//"`
		fi
	done

	if [ "$MAC_ADDR" != "" ]; then
			/usr/bin/sudo /usr/sbin/etherwake $MAC_ADDR
	fi
done
exit 0
